FROM python:3.11-slim

# CUPSとその他必要なパッケージのインストール
RUN apt-get update && apt-get install -y \
    cups \
    cups-client \
    gcc \
    libcups2-dev \
    python3-dev \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY ./app .

CMD ["python", "main.py"]

